> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Field

> Create a new custom field



## OpenAPI

````yaml post /custom_field
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /custom_field:
    post:
      tags:
        - Custom Field
      summary: Create Custom Field
      description: Create a new custom field
      parameters:
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/custom_field'
        description: custom_field
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/custom_field'
          description: The updated Custom Field object
        '201':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/custom_field'
                    title: Custom Field
                  - title: Empty
                    type: object
                    properties: {}
          description: The Custom Field was created
        '204':
          content: {}
          description: No Content
components:
  schemas:
    custom_field:
      type: object
      properties:
        id:
          type: string
          description: Custom field ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Custom field creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
          nullable: true
        name:
          type: string
          description: Name of custom field
          format: text
        description:
          type: string
          description: Custom field description
          format: text
          nullable: true
        type:
          type: string
          description: Typ of custom field
          format: public.field_type
          enum:
            - string
            - datetime
            - boolean
            - number
            - date
            - string_list
        key:
          type: string
          description: Custom field key
          format: text
        entity:
          type: string
          format: public.custom_field_entity
          enum:
            - contact
            - deal
            - appointment
          default: contact
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````